Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Dmitry Gutov <[email-masked]>
Date: Thu, 17 Oct 2019 17:02:41 +0300

On 17.10.2019 11:59, Eli Zaretskii wrote:
> I still don't see why "broke visuals" is what it did.  I happen to
> think that the new appearance is not worse, and sometimes better than
> the old one.

I'm pretty sure that the claim that the new feature broke things is 
valid. It's my reaction as well, and just this morning I got a message 
from another long-time Emacs user (and a package author) asking if I had 
any idea what could have broken the region's display in the master build.

Given your conservative stance on many issues in the past, I'm frankly 
surprised.

In any case, while I haven't looked deep into this issue, I'm under 
impression that it should be possible to both retain the "rectangular" 
behavior many here are accustomed to, and fix the original pain point 
that brought this feature into existence.